/********************************************************************
 FileName:    	InputCapture.h
 Dependencies: 	aguijon.h
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    InputCapture Header File


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             DIRD

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef INPUTCAPTURE_H
#define	INPUTCAPTURE_H

#define   CYCLES_uSEG    16

void           InputCapture_Init    (void);
UINT32         Input_Frequency      (void);
UINT32         Input_Period         (void);

#endif	/* INPUTCAPTURE_H */

