/********************************************************************
 FileName:    	irDA.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    irDA  Support File


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             DIRD

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/


#ifndef IRDA_H
#define	IRDA_H

#define MAX_DIFERENT_BUTTONS  10
#define MAX_BUTTON_ARRAY_SIZE 7
#define TimeOut               1000000


typedef struct BOTON_T
{
	unsigned char data[MAX_BUTTON_ARRAY_SIZE]; // bytes used for pattern match
} boton_type;

void         IR_init          (void);
void         IR_reception     (void);
void         Button_Config    (int num);
int          Button_compare   (void);


#endif	/* IRDA_H */

