/********************************************************************
 FileName:    	Interrupts.h
 Dependencies: 	none
 Hardware:	Aguijon rev3.0 & rev4.0
 Complier:  	Microchip XC16, C30
 Company:	Vinagrn Digital
 Author:	Juan Carlos Orozco Gutierrez

 Software License Agreement:

 This software has been licensed under the GNU General Public
 License is intended to guarantee your freedom to share and change free
 software--to make sure the software is free for all its users.

********************************************************************
 File Description:
    Interrupts header file


 Change History:
  Rev   Description                                 Modified by:
  ----  -----------------------------------------  --------------
  1.0   Initial release                             DIRD

 For extra documentation and support:
 *  http://www.vinagrondigital.com
********************************************************************/

#ifndef INTERRUPTS_H
#define	INTERRUPTS_H


//#define BAUD250K    3   //RS232 chip has a 250kbits/s max speed (MAX3221)
//#define BAUD115200  8
//#define BAUD56000   17
//#define BAUD38400   25
//#define BAUD19200   51
//#define BAUD9600    103

void        Interrupts_Init     (void);
float      AC_Frequency        (void);

#endif	/* INTERRUPTS_H */

